<template>
    <v-row justify="center">
        <v-col cols="12" sm="10" xs="12">
            <v-card flat>
                <v-card-title>
                    <v-spacer></v-spacer>
                    Bienvenue sur votre page de gestion
                    <v-spacer></v-spacer>
                </v-card-title>
                <v-row v-if="companyCreated" justify="space-around">
                  <v-col v-for="(item, i) in items" :key="i" cols="12" xs="12" sm="6">
                      <!-- <v-card :color="i%2 === 0 ? 'primary-light': 'secondary'" dark> -->
                      <v-card class="card-link" light @click="handleRedirect(item)">
                          <div class="d-flex flex-no-wrap justify-space-between">
                              <div>
                                  <v-card-title class="headline" v-text="item.title"></v-card-title>
                                  <v-card-subtitle v-text="item.sub"></v-card-subtitle>
                              </div>

                              <v-avatar class="ma-3" size="80" tile>
                                  <!-- <v-img :src="item.src"></v-img> -->
                                  <v-icon x-large>{{item.icon}}</v-icon>
                              </v-avatar>
                          </div>
                      </v-card>
                  </v-col>
                </v-row>
            </v-card>
        </v-col>
    </v-row>
</template>

<script>
export default {
  name: 'AdminHome',
  mixins: [],

  components: {

  },
  data() {
    return {
      items: [
        {
          color: '#1F7087',
          // src: 'logo.png',
          icon: 'mdi-domain',
          title: 'Entreprise',
          sub: 'Gérer mon entreprise',
          route:'adminCompany'
        },
        {
          color: '#952175',
          // src: 'https://cdn.vuetifyjs.com/images/cards/halcyon.png',
          icon:'mdi-store',
          title: 'Magasins',
          sub: 'Gérer mes magasins',
          route:'adminStores'
        },
        {
          color: '#952175',
          // src: 'https://cdn.vuetifyjs.com/images/cards/halcyon.png',
          icon:'mdi-package-variant',
          title: 'Produits',
          sub: 'Gérer mes produits',
          route:'AdminProductList'
        },
        {
          color: '#952175',
          // src: 'https://cdn.vuetifyjs.com/images/cards/halcyon.png',
          icon:'mdi-ticket',
          title: 'Code promo',
          sub: 'Gérer mes codes promos',
          route:'PromoCodeList'
        },
        {
          color: '#952175',
          // src: 'https://cdn.vuetifyjs.com/images/cards/halcyon.png',
          icon:'mdi-account-supervisor-circle',
          title: 'Collaborateurs',
          sub: 'Gérer mes collaborateurs',
          route:'adminCollaboratorsList'
        },
      ],
      companyCreated: true
    }
  },
  methods: {
    handleRedirect:function(item) {
      this.$router.push({name:item.route});
    }
  },
};
</script>

<style lang="scss" scoped>
  .card-link {
    cursor: pointer;
  }
</style>